Bio::Tree::NodeNHX(3)

NAME
Bio::Tree::NodeNHX - A Simple Tree Node with support for NHX tags

SYNOPSIS
    use Bio::Tree::NodeNHX;
    my $nodeA = Bio::Tree::NodeNHX->new();
    my $nodeL = Bio::Tree::NodeNHX->new();
    my $nodeR = Bio::Tree::NodeNHX->new();

    my $node = Bio::Tree::NodeNHX->new();
    $node->add_Descendents($nodeL);
    $node->add_Descendents($nodeR);

    print "node is not a leaf \n" if( $node->is_leaf);

DESCRIPTION
Makes a Tree Node with NHX tags, suitable for building a Tree. See Bio::Tree::Node for a full list of functionality.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Support
Please direct usage questions or support issues to the mailing list:

bioperl-l@bioperl.org

rather than to the module maintainer directly. Many experienced and reponsive experts will be able look at the problem and quickly address it. Please include a thorough description of the problem with code and data examples if at all possible.

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via the web:

  https://github.com/bioperl/bioperl-live/issues

AUTHOR - Aaron Mackey
Email amackey@virginia.edu

CONTRIBUTORS
The NHX (New Hampshire eXtended) format was created by Chris Zmasek, and is described at:

  http://sourceforge.net/projects/forester-atv/

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  new
 Title   : new
 Usage   : my $obj = Bio::Tree::NodeNHX->new();
 Function: Builds a new Bio::Tree::NodeNHX object
 Returns : Bio::Tree::NodeNHX
 Args    : -left          => pointer to Left descendent (optional)
           -right         => pointer to Right descenent (optional)
           -branch_length => branch length [integer] (optional)
           -bootstrap     => bootstrap value (string)
           -description   => description of node
           -id            => unique id for node
           -nhx           => hashref of NHX tags and values

  nhx_tag
 Title   : nhx_tag
 Usage   : my $tag = $nodenhx->nhx_tag(%tags);
 Function: Set tag-value pairs for NHX nodes
 Returns : none
 Args    : hashref to update the tags/value pairs
           OR
           with a scalar value update the bootstrap value by default